%define major 0
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Name:		hspell
Version:	1.4
Release:	%mkrel 6
Summary:	Free Hebrew linguistic project
Group:		Text tools
License:	AGPLv3+
URL:		http://hspell.ivrix.org.il/
Source0:	http://hspell.ivrix.org.il/%{name}-%{version}.tar.gz
Patch1:		hspell-1.2-perl-5.26.patch
BuildRequires:  pkgconfig(zlib)
BuildRequires:  locales-he
BuildRequires:  hunspell
BuildRequires:  pkgconfig(hunspell)
Requires:	%{libname} = %{version}-%{release}

%description
The Hspell project is a free Hebrew linguistic project.
Its primary goal is to create a free Hebrew spell-checker.
 In addition to a spell-checker, the project also produced a Hebrew
morphological analyzer, which for every valid Hebrew word lists all of its
possible readings (valid combinations of prefix and inflected base word).
 The secondary goal of the project is to make the algorithms and dictionaries,
created initially for the spell-checker, freely available. These could be used
in more sophisticated research or applications that require Hebrew word lists
or a Hebrew morphology engine.
 Such potential application areas might include search engines, speech
synthesis, and much much more. The availability of a free basis will hopefully
encourage free development on top of it, to the benefit of the general
Hebrew-speaking population.

%package -n	%{libname}
Summary:	Shared library files for hspell
Group:		Text tools

%description -n	%{libname}
Shared library files for the hspell package.

%package -n	%{develname}
Summary:	Development files for hspell
Group:		Development/Other
Requires:	%{name} = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Provides:	libhspell-devel = %{version}-%{release}
Provides:	hspell-devel = %{version}-%{release}
Obsoletes:	%{mklibname hspell 0 -d}

%description -n	%{develname}
Development headers, and files for development from the hspell package.

# (kamil) changed the hunspell-he to be according to general Hunspell policies
%package -n hunspell-he
%define languageenglazy Hebrew
%define languagecode    he
%define lc_ctype        he_IL

Summary:        %{languageenglazy} hunspell dictionaries
Group:          System/Internationalization

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-he
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}

%description -n hunspell-he
%{languageenglazy} hunspell dictionaries


# (kamil) end hunspell-he

%prep
%autosetup -p1

%build
export CFLAGS="%optflags -fPIC"
export PERL5LIB="$PERL5LIB:$PWD"
%configure --enable-fatverb --enable-shared --enable-linginfo
%__make dmask.c
%make_build
make hunspell
cat >> he.aff << EOF
MAP 10
MAP ךכח
MAP םמ
MAP ןנ
MAP ףפ
MAP ץצ
MAP כק
MAP אע # for English
MAP גה # for Russian
MAP צס # for Arabic
MAP חכר # for French
EOF

%install
%make_install

rm -f %{buildroot}%{_libdir}/libhspell.a

# (kamil) hunspell-he installation
install -D -m 0644 -p he.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p he.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

# (kamil) hunspell-he end

%files
%{_bindir}/hspell
%{_bindir}/hspell-i
%{_bindir}/multispell
%{_mandir}/man?/hspell.*
%{_datadir}/hspell/

%files -n %{libname}
%{_libdir}/libhspell.so.0

%files -n %{develname}
%_includedir/hspell.h
%{_libdir}/libhspell.so
%_includedir/linginfo.h

%files -n hunspell-he
%{_datadir}/myspell/*
%{_datadir}/hunspell/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.4-6.mga10
+ Revision: 2196367
- Mageia 10 Mass Rebuild

* Fri Mar 18 2022 umeabot <umeabot> 1.4-5.mga9
+ Revision: 1797933
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 1.4-4.mga8
+ Revision: 1513499
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
+ shlomif <shlomif>
- correct license

* Sun Jun 02 2019 shlomif <shlomif> 1.4-3.mga7
+ Revision: 1399508
- enable linginfo for fixing HspellPy.

* Sun Sep 23 2018 umeabot <umeabot> 1.4-2.mga7
+ Revision: 1298210
- Mageia 7 Mass Rebuild

* Thu Mar 29 2018 kekepower <kekepower> 1.4-1.mga7
+ Revision: 1213365
- Update to versin 1.4

* Thu Sep 14 2017 cjw <cjw> 1.2-9.mga7
+ Revision: 1153793
- patch1: fix build with perl 5.26

* Mon Feb 08 2016 umeabot <umeabot> 1.2-8.mga6
+ Revision: 943559
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2-7.mga5
+ Revision: 746624
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2-6.mga5
+ Revision: 680174
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 1.2-5.mga4
+ Revision: 505497
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.2-4.mga3
+ Revision: 353284
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 1.2-3.mga3
+ Revision: 325340
- rebuild for Mga3 Beta1

* Tue Mar 20 2012 kamil <kamil> 1.2-2.mga2
+ Revision: 224959
- add requirement on locales (mga#4632)

* Wed Feb 29 2012 fwang <fwang> 1.2-1.mga2
+ Revision: 215993
- new version 1.2

* Sun Feb 12 2012 kamil <kamil> 1.1-6.mga2
+ Revision: 208144
- add hunspell and hunspell-devel as BR

* Sun Feb 12 2012 kamil <kamil> 1.1-5.mga2
+ Revision: 207945
- add locales-he as BR (used by build scripts)
- adapt hunspell-he subpackage to the current policies
- clean .spec

* Thu Mar 31 2011 ennael <ennael> 1.1-4.mga1
+ Revision: 79247
- fix group

* Sun Mar 13 2011 dmorgan <dmorgan> 1.1-3.mga1
+ Revision: 70240
- Add zlib-devel as buildrequire
- Sync with fedora
  	- add lib
  	- create hunspell-he

* Fri Jan 14 2011 mikala <mikala> 1.1-2.mga1
+ Revision: 17745
- Drop mdk macros
- imported package hspell


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1.1-2mdv2011.0
+ Revision: 605879
- rebuild

* Sat Jan 02 2010 Frederik Himpe <fhimpe@mandriva.org> 1.1-1mdv2010.1
+ Revision: 485100
- update to new version 1.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.0-6mdv2010.0
+ Revision: 425152
- rebuild

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 1.0-5mdv2009.1
+ Revision: 351236
- rebuild

* Sun Jul 06 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0-4mdv2009.0
+ Revision: 232202
- fix summary-ended-with-dot
- fix devel package naming

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - rebuild
    - fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 1.0-1mdv2008.1
+ Revision: 126847
- kill re-definition of %%buildroot on Pixel's request
- do not hardcode bz2 extension
- replace %%_datadir/man by %%_mandir!


* Thu Nov 16 2006 Laurent Montel <lmontel@mandriva.com> 1.0-1mdv2007.0
+ Revision: 85054
- 1.0
- Import hspell

* Thu Feb 02 2006 Laurent MONTEL <lmontel@mandriva.com> 0.9-3
- Fix flags

* Thu Feb 02 2006 Laurent MONTEL <lmontel@mandriva.com> 0.9-2
- Fix compile under x86_64

* Mon Dec 12 2005 Laurent MONTEL <lmontel@mandriva.com> 0.9-1
- initial spec

